/*
 * Class ARRAY [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_582 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_582 [] = {0xFF01,237,581,176,0xFFFF};
static const EIF_TYPE_INDEX egt_2_582 [] = {0xFF01,581,176,0xFFFF};
static const EIF_TYPE_INDEX egt_3_582 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_582 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_582 [] = {0xFF01,581,176,0xFFFF};
static const EIF_TYPE_INDEX egt_6_582 [] = {0xFF01,581,176,0xFFFF};
static const EIF_TYPE_INDEX egt_7_582 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_582 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_582 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_582 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_582 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_582 [] = {581,176,0xFFFF};
static const EIF_TYPE_INDEX egt_13_582 [] = {0xFF01,581,176,0xFFFF};
static const EIF_TYPE_INDEX egt_14_582 [] = {0xFF01,584,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_582 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_582 [] = {0xFF01,576,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_582 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_582 [] = {0xFF01,575,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_582 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_582 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_582 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_582 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_582 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_24_582 [] = {0xFF01,580,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_582 [] = {0xFF01,575,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_582 [] = {0xFF01,581,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_582 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_582 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_582 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_582 [] = {0xFF01,148,0xFFFF};


static const struct desc_info desc_582[] = {
	{EIF_GENERIC(NULL), 5574, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_582), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_582), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_582), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5629, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_582), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_582), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_582), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_582), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_582), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_582), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_582), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_582), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_582), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_582), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_582), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2035, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1891, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1893, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1894, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_582), 5628, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_582), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2150, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2151, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2152, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2154, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5619, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5597, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1947, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1976, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5632, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1948, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5631, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1949, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_582), 3376, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_582), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_582), 4986, 0},
	{EIF_GENERIC(NULL), 4987, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4988, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_582), 5581, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_582), 5582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4993, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_582), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5576, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5580, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_582), 5583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5585, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 5586, 12},
	{EIF_NON_GENERIC(0x017F /*191*/), 5592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5593, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5595, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5602, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5603, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5604, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5605, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5606, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5607, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5609, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5613, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5614, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5615, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5616, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5617, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5618, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5620, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5621, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5622, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5624, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_582), 5625, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_582), 5626, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_582), 5627, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_582), 5630, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5633, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_582), 5581, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_582), 5582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5601, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_582), 5581, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_582), 5590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5596, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5588, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5594, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init582(void)
{
	IDSC(desc_582, 0, 581);
	IDSC(desc_582 + 1, 1, 581);
	IDSC(desc_582 + 32, 77, 581);
	IDSC(desc_582 + 41, 129, 581);
	IDSC(desc_582 + 47, 282, 581);
	IDSC(desc_582 + 56, 99, 581);
	IDSC(desc_582 + 58, 81, 581);
	IDSC(desc_582 + 67, 4, 581);
	IDSC(desc_582 + 105, 187, 581);
	IDSC(desc_582 + 111, 256, 581);
	IDSC(desc_582 + 114, 50, 581);
	IDSC(desc_582 + 115, 103, 581);
	IDSC(desc_582 + 117, 229, 581);
	IDSC(desc_582 + 118, 35, 581);
	IDSC(desc_582 + 119, 172, 581);
}


#ifdef __cplusplus
}
#endif
